## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanStdOutputStream::XalanStdOutputStreamWriteException Class Reference

`#include <XalanStdOutputStream.hpp>`

Inheritance diagram for XalanStdOutputStream::XalanStdOutputStreamWriteException:

[legend]
Collaboration diagram for XalanStdOutputStream::XalanStdOutputStreamWriteException:

[legend]
List of all members.

## Public Methods

- XalanStdOutputStreamWriteException (int theErrorCode, XalanDOMString &theResult)
- virtual ~XalanStdOutputStreamWriteException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XalanStdOutputStream::XalanStdOutputStreamWriteException::XalanStdOutputStreamWriteException ( | int theErrorCode,
| XalanDOMString & theResult )

XalanStdOutputStream::XalanStdOutputStreamWriteException::~XalanStdOutputStreamWriteException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMChar * XalanStdOutputStream::XalanStdOutputStreamWriteException::getType ( | ) const`[virtual]`

Retrieve type of exception.

Returns:
  type of exception

Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanStdOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.